public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
* [git.ipfire.org] IPFire 2.x development tree branch, next, updated. d63331e5c04b050b47df90153b6bafb9fc720641
@ 2026-07-08 13:51 Michael Tremer
  0 siblings, 0 replies; only message in thread
From: Michael Tremer @ 2026-07-08 13:51 UTC (permalink / raw)
  To: ipfire-scm

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".

The branch, next has been updated
       via  d63331e5c04b050b47df90153b6bafb9fc720641 (commit)
      from  27b3a1a5c2e576443d25241bbbdeddeacbdedc5a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit d63331e5c04b050b47df90153b6bafb9fc720641
Author: Michael Tremer <michael.tremer@ipfire.org>
Date:   Wed Jul 8 13:50:26 2026 +0000

    make.sh: Improve CPU core count detection
    
    Signed-off-by: Michael Tremer <michael.tremer@ipfire.org>

-----------------------------------------------------------------------

Summary of changes:
 make.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Difference in files:
diff --git a/make.sh b/make.sh
index b060bfbdf..48e6d90cd 100755
--- a/make.sh
+++ b/make.sh
@@ -152,7 +152,12 @@ find_base() {
 }
 
 system_processors() {
-	getconf _NPROCESSORS_ONLN 2>/dev/null || echo "1"
+	# On some systems, the build system might run in a CPU affinity group
+	# which means that some CPUs are not available to be used. getconf will
+	# however report the total number which launches more processes than
+	# we want. nproc gets this right (without --all) so we will prefer
+	# nproc, but fall back to getconf.
+	nproc 2>/dev/null || getconf _NPROCESSORS_ONLN 2>/dev/null || echo "1"
 }
 
 system_memory() {


hooks/post-receive
--
IPFire 2.x development tree


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2026-07-08 13:51 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-07-08 13:51 [git.ipfire.org] IPFire 2.x development tree branch, next, updated. d63331e5c04b050b47df90153b6bafb9fc720641 Michael Tremer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox